List Workspace Folders
curl --request GET \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"folders": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"workspaceId": "<string>"
}
],
"nextCursor": "<string>"
}Folders
List Folders
List folders in a workspace.
GET
/
v3
/
workspaces
/
{workspaceId}
/
folders
List Workspace Folders
curl --request GET \
--url http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/workspaces/{workspaceId}/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"folders": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"parentFolderId": "<string>",
"workspaceId": "<string>"
}
],
"nextCursor": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 200